Bug 165361 - Review Request: NetHack, a rogue-like single player dungeon exploration game
Review Request: NetHack, a rogue-like single player dungeon exploration game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joost van der Sluis
David Lawrence
http://nethack.org
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-08 11:36 EDT by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-16 13:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-08-08 11:36:49 EDT
Spec Name or Url: http://people.redhat.com/lmacken/nethack.spec
SRPM Name or Url: http://people.redhat.com/lmacken/nethack-3.4.3-1.src.rpm
Description:

NetHack is a single player dungeon exploration game that runs on a
wide variety of computer systems, with a variety of graphical and text
interfaces all using the same game engine.

Unlike many other Dungeons & Dragons-inspired games, the emphasis in
NetHack is on discovering the detail of the dungeon and not simply
killing everything in sight - in fact, killing everything in sight is
a good way to die quickly.

Each game presents a different landscape - the random number generator
provides an essentially unlimited number of variations of the dungeon
and its denizens to be discovered by the player in one of a number of
characters: you can pick your race, your role, and your gender.
Comment 1 Konstantin Ryabitsev 2005-08-08 13:06:14 EDT
Builds, runs, leaves rpmlint happy, so I don't see any problem with the package
other than it's "rogue" and not "rouge" :)
Comment 2 Luke Macken 2005-08-08 13:18:55 EDT
Fixed the "rogue" typo.
Comment 3 Joost van der Sluis 2005-08-09 05:19:07 EDT
The source2 line only specifies %{name}.desktop, without any URL where to
download it from. I'm not sure wheter this is allowed, but it looks strange to me.
Comment 4 Michael Schwendt 2005-08-09 09:08:27 EDT
If it's a local file created by the packager, there is no URL.
Comment 5 Oliver Falk 2005-08-10 09:47:52 EDT
Looks OK for me as well!
Comment 6 Joost van der Sluis 2005-08-11 09:09:16 EDT
Ok, this is my first review, so be patient with me...

Further I'm not sure if I may assign this bug to myself, since I have
cvs-access, but none of my packages are approved yet. . .

Good:

- rpmlint output 

E: nethack obsolete-not-provided nethack-falconseye
W: nethack unstripped-binary-or-object /usr/games/nethack/nethack
E: nethack zero-length /var/games/nethack/logfile
E: nethack zero-length /var/games/nethack/record
E: nethack zero-length /var/games/nethack/perm
E: nethack non-standard-dir-perm /var/games/nethack 0775
E: nethack non-standard-executable-perm /usr/games/nethack/nethack 02755
E: nethack non-standard-dir-perm /var/games/nethack/save 0775

* Comments about rights can be disregarded
* Empty files are ok
* /usr/games/nethack/nethack is also ok

- meets naming guidelines
- license ok (GPL), text of license included, matches source
- builds fine on FC3 (x86) 
- builds on mock
- code matches upstream
- no locales
- no shared libs, headers
- owns all directories it creates
- permissions ok
- no missing BR, extra BR
- not relocatable
- %clean ok
- nothing in %doc affects runtime
- code, no content

Possibly not so good:
* Why do you use source2, instead of source1 for the desktop-file?
* Why is there only debug-information for nethack-recover?
* I don't know anything about the history with Falconseye, could you explain that?
* there is a man-file for the 'recover' command, but actually it's nethack-recover
* there are man files for the non-provided dlb, dgb_comp and lev_comp binaries
* the licence file is at two places, in %doc and /usr/games/nethack, maybe you
should remove the second one
* and the /usr/games/nethack and /var/games/nethack directories. Shoudn't that
be called nethack-3.4.3 ?

Comment 7 Ville Skyttä 2005-08-11 11:51:29 EDT
Re: debuginfo: just a hunch: find-debuginfo.sh does not strip setuid/setgid 
binaries, see bug 117858.  One way to avoid that is to ensure that no files 
are setuid/setgid at end of %install, and take care of adding the bits back in 
%files. 
 
Regarding nethack-falconseye, I'm its current (semi-inactive) maintainer.  In 
short: the Obsoletes: here is ok, it's for a transition period.  I've been 
contacted by the nethack-vultureseye folks, and will most likely "update" 
-falconseye to it sometime soonish, and arrange so that it won't conflict with 
this package. 
Comment 8 Luke Macken 2005-08-14 17:56:30 EDT
(In reply to comment #6)
> Possibly not so good:
> * Why do you use source2, instead of source1 for the desktop-file?
> * Why is there only debug-information for nethack-recover?
> * I don't know anything about the history with Falconseye, could you explain that?
> * there is a man-file for the 'recover' command, but actually it's nethack-recover
> * there are man files for the non-provided dlb, dgb_comp and lev_comp binaries
> * the licence file is at two places, in %doc and /usr/games/nethack, maybe you
> should remove the second one
> * and the /usr/games/nethack and /var/games/nethack directories. Shoudn't that
> be called nethack-3.4.3 ?

All of the above should be fixed.

Anyone care to head up being the REVIEWER for this package, and take it into
FE-REVIEW (or FE-ACCEPT) if it looks up to par ?
Comment 9 Joost van der Sluis 2005-08-16 12:48:32 EDT
At second thought, maybe it's better to keep /var/games/nethack (without the
version number) so that after an update the old save-games aren't lost?

But I leave that to your descision.

And I can assign the bug to myself now, so it's accepted.
Comment 10 Luke Macken 2005-08-16 13:02:33 EDT
I changed the state directory back to /var/games/nethack.

I'll close this bug when the build goes through.
Comment 11 Luke Macken 2005-08-16 13:37:39 EDT
Good to go.  Thanks everyone.

Note You need to log in before you can comment on or make changes to this bug.